GET api/Protocols
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
Collection of Protocol| Name | Description | Type | Additional information |
|---|---|---|---|
| protocolId | globally unique identifier |
None. |
|
| name | string |
None. |
|
| materialId | globally unique identifier |
None. |
|
| marginSpace | decimal number |
None. |
|
| rowSpace | decimal number |
None. |
|
| dunamVolume | decimal number |
None. |
|
| activeIngredientVolume | decimal number |
None. |
|
| waterVolume | decimal number |
None. |
|
| createdDate | date |
None. |
|
| payloadId | globally unique identifier |
None. |
|
| nozzle | string |
None. |
|
| Material | Material |
None. |
|
| Payload | Payload |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"protocolId": "6e65ea2f-a954-40c2-8c7c-7f9cfce3eb24",
"name": "sample string 2",
"materialId": "b28b5572-2d05-4df1-95d7-4657ce384692",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:38:12.8569555+00:00",
"payloadId": "f183ad26-3316-4b06-8f31-0d5bc4f4d8cd",
"nozzle": "sample string 6",
"Material": {
"materialId": "c01d5aed-b2f9-4084-a075-43b21fbbd9f1",
"name": "sample string 2",
"createdDate": "2026-03-20T18:38:12.8569555+00:00"
},
"Payload": {
"payloadId": "0f78a9da-904d-4962-93cb-d2bd6b4e56c6",
"name": "sample string 2",
"createdDate": "2026-03-20T18:38:12.8569555+00:00"
}
},
{
"protocolId": "6e65ea2f-a954-40c2-8c7c-7f9cfce3eb24",
"name": "sample string 2",
"materialId": "b28b5572-2d05-4df1-95d7-4657ce384692",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:38:12.8569555+00:00",
"payloadId": "f183ad26-3316-4b06-8f31-0d5bc4f4d8cd",
"nozzle": "sample string 6",
"Material": {
"materialId": "c01d5aed-b2f9-4084-a075-43b21fbbd9f1",
"name": "sample string 2",
"createdDate": "2026-03-20T18:38:12.8569555+00:00"
},
"Payload": {
"payloadId": "0f78a9da-904d-4962-93cb-d2bd6b4e56c6",
"name": "sample string 2",
"createdDate": "2026-03-20T18:38:12.8569555+00:00"
}
}
]
text/html
Sample:
[{"protocolId":"6e65ea2f-a954-40c2-8c7c-7f9cfce3eb24","name":"sample string 2","materialId":"b28b5572-2d05-4df1-95d7-4657ce384692","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:38:12.8569555+00:00","payloadId":"f183ad26-3316-4b06-8f31-0d5bc4f4d8cd","nozzle":"sample string 6","Material":{"materialId":"c01d5aed-b2f9-4084-a075-43b21fbbd9f1","name":"sample string 2","createdDate":"2026-03-20T18:38:12.8569555+00:00"},"Payload":{"payloadId":"0f78a9da-904d-4962-93cb-d2bd6b4e56c6","name":"sample string 2","createdDate":"2026-03-20T18:38:12.8569555+00:00"}},{"protocolId":"6e65ea2f-a954-40c2-8c7c-7f9cfce3eb24","name":"sample string 2","materialId":"b28b5572-2d05-4df1-95d7-4657ce384692","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:38:12.8569555+00:00","payloadId":"f183ad26-3316-4b06-8f31-0d5bc4f4d8cd","nozzle":"sample string 6","Material":{"materialId":"c01d5aed-b2f9-4084-a075-43b21fbbd9f1","name":"sample string 2","createdDate":"2026-03-20T18:38:12.8569555+00:00"},"Payload":{"payloadId":"0f78a9da-904d-4962-93cb-d2bd6b4e56c6","name":"sample string 2","createdDate":"2026-03-20T18:38:12.8569555+00:00"}}]